Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kohsuke.rngom.digested
Class DPatternWalker

    java.lang.Object
      org.kohsuke.rngom.digested.DPatternWalker

All Implemented Interfaces:
  DPatternVisitor<java.lang.Void>

    public class DPatternWalker

extends java.lang.Object
implements DPatternVisitor<java.lang.Void>

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

Constructor Summary
`DPatternWalker()`

Method Summary
`java.lang.Void` | `onAttribute(DAttributePattern p)`
`java.lang.Void` | `onChoice(DChoicePattern p)`
`protected java.lang.Void` | `onContainer(DContainerPattern p)`
`java.lang.Void` | `onData(DDataPattern p)`
`java.lang.Void` | `onElement(DElementPattern p)`
`java.lang.Void` | `onEmpty(DEmptyPattern p)`
`java.lang.Void` | `onGrammar(DGrammarPattern p)`
`java.lang.Void` | `onGroup(DGroupPattern p)`
`java.lang.Void` | `onInterleave(DInterleavePattern p)`
`java.lang.Void` | `onList(DListPattern p)`
`java.lang.Void` | `onMixed(DMixedPattern p)`
`java.lang.Void` | `onNotAllowed(DNotAllowedPattern p)`
`java.lang.Void` | `onOneOrMore(DOneOrMorePattern p)`
`java.lang.Void` | `onOptional(DOptionalPattern p)`
`java.lang.Void` | `onRef(DRefPattern p)`
`java.lang.Void` | `onText(DTextPattern p)`
`protected java.lang.Void` | `onUnary(DUnaryPattern p)`
`java.lang.Void` | `onValue(DValuePattern p)`
`protected java.lang.Void` | `onXmlToken(DXmlTokenPattern p)`
`java.lang.Void` | `onZeroOrMore(DZeroOrMorePattern p)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DPatternWalker

    public DPatternWalker()

Method Detail

### onAttribute

    public java.lang.Void onAttribute(DAttributePattern p)

  Specified by:
    `onAttribute` in interface `DPatternVisitor<java.lang.Void>`

### onXmlToken

    protected java.lang.Void onXmlToken(DXmlTokenPattern p)

### onChoice

    public java.lang.Void onChoice(DChoicePattern p)

  Specified by:
    `onChoice` in interface `DPatternVisitor<java.lang.Void>`

### onContainer

    protected java.lang.Void onContainer(DContainerPattern p)

### onData

    public java.lang.Void onData(DDataPattern p)

  Specified by:
    `onData` in interface `DPatternVisitor<java.lang.Void>`

### onElement

    public java.lang.Void onElement(DElementPattern p)

  Specified by:
    `onElement` in interface `DPatternVisitor<java.lang.Void>`

### onEmpty

    public java.lang.Void onEmpty(DEmptyPattern p)

  Specified by:
    `onEmpty` in interface `DPatternVisitor<java.lang.Void>`

### onGrammar

    public java.lang.Void onGrammar(DGrammarPattern p)

  Specified by:
    `onGrammar` in interface `DPatternVisitor<java.lang.Void>`

### onGroup

    public java.lang.Void onGroup(DGroupPattern p)

  Specified by:
    `onGroup` in interface `DPatternVisitor<java.lang.Void>`

### onInterleave

    public java.lang.Void onInterleave(DInterleavePattern p)

  Specified by:
    `onInterleave` in interface `DPatternVisitor<java.lang.Void>`

### onList

    public java.lang.Void onList(DListPattern p)

  Specified by:
    `onList` in interface `DPatternVisitor<java.lang.Void>`

### onMixed

    public java.lang.Void onMixed(DMixedPattern p)

  Specified by:
    `onMixed` in interface `DPatternVisitor<java.lang.Void>`

### onNotAllowed

    public java.lang.Void onNotAllowed(DNotAllowedPattern p)

  Specified by:
    `onNotAllowed` in interface `DPatternVisitor<java.lang.Void>`

### onOneOrMore

    public java.lang.Void onOneOrMore(DOneOrMorePattern p)

  Specified by:
    `onOneOrMore` in interface `DPatternVisitor<java.lang.Void>`

### onOptional

    public java.lang.Void onOptional(DOptionalPattern p)

  Specified by:
    `onOptional` in interface `DPatternVisitor<java.lang.Void>`

### onRef

    public java.lang.Void onRef(DRefPattern p)

  Specified by:
    `onRef` in interface `DPatternVisitor<java.lang.Void>`

### onText

    public java.lang.Void onText(DTextPattern p)

  Specified by:
    `onText` in interface `DPatternVisitor<java.lang.Void>`

### onValue

    public java.lang.Void onValue(DValuePattern p)

  Specified by:
    `onValue` in interface `DPatternVisitor<java.lang.Void>`

### onZeroOrMore

    public java.lang.Void onZeroOrMore(DZeroOrMorePattern p)

  Specified by:
    `onZeroOrMore` in interface `DPatternVisitor<java.lang.Void>`

### onUnary

    protected java.lang.Void onUnary(DUnaryPattern p)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD